var ANIMATION_TIME = 250; 

$(document).ready(function() {
    $("#loader").fadeOut(ANIMATION_TIME);
    $("#popup_container").show();

    $("#search button.cancel").click(function() {
        $(this).blur();
        var href = $("#search button.cancel").attr("href");
        $("#loader").fadeIn(500, function() {
            location.href = href;
        })
        return false;
    });
    
    function goSearch($trigger) {
        var find = $("#find").val();
        if(find.length < 3) {
            infoPopup(LOCALIZE["short-text-alert"]);
        }
        else {
            $("#search").submit();
        };
    };

    function launchSearchButton() {
        $(".search_box button").click(function() { $(this).blur(); goSearch(); return false; });
        $('.search_box input').first().on('keypress', function (e) { if(e.which == 13) { goSearch(); }; });
    };
    
    // ==========================================
    //              Initial actions
    // ==========================================
        
    if($("#redirect").length) {
        location.href = $("#redirect").val() + "?popup=" + encodeURIComponent(LOCALIZE["password-changed"] + "|done"); //Hasło zostało zmienione
    }
    else if($("#popup").length) {
        popup = $("#popup").val().split("\|");
        icon = false;
        if(popup.length > 1) {
            icon = popup.pop();
            message = popup.join("\|");
        }
        else {
            message = popup.shift();
        };
        infoPopup( message, icon );
    };
    
    launchSearchButton();
    initializeHelp();
    
});