var NEW_ITEMS = { "files": [], "keys": [] };
var NEW_ITEM = false;

function initializeFilesList() {
    $("#files_list dd").remove();
    files = Object.keys(LOCALIZATIONS).sort();
    sorted = {};
    for(i in files) {
        var file = files[i];
        if(NEW_ITEMS["files"].indexOf(file) > -1) {
            html = "<dd class='new'>" + file + "</dd>";
        }
        else {
            html = "<dd>" + file + "</dd>";
        }
        $("#files_list dl").append(html);
        sorted[file] = LOCALIZATIONS[file];
    }
    $("#files_list dl").append("<dd class='add'>+</dd>");
    LOCALIZATIONS = sorted;
    
    if(NEW_ITEM) {
        NEW_ITEM = false;
    }
    

    $("#files_list dd").click(function() {
        //alert(Object.keys(LOCALIZATIONS))
        $(this).blur();
        $("#files_list dd").removeClass("current");
        var file = $(this).text();
        if($(this).attr("class") == "add") {
            var file = prompt("New filename");
            if(Object.keys(LOCALIZATIONS).indexOf(file) > -1) {
                alert("The filename must be unique!");
                file = false;
            }
            else if(file == "") {
                alert("The filename can't be empty!");
                file = false;
            }
            else if(typeof(file) == "string") {
                LOCALIZATIONS[file] = {};
                NEW_ITEMS["files"].push(file);
                initializeFilesList();
                NEW_ITEM = file;
            }
        }
        else {
            $(this).addClass("current");
        };
        if(file) { initializeKeysList(file); };
    });
    
}

function initializeKeysList() {
    $("#keys_list dd").unbind("click").click(function() {
        var file = $("#files_list .current").text();
        var key = $(this).text();
        $("#keys_list dd").removeClass("current");
        $(this).addClass("current");
        $("#editor .edit").show();
        
        for(lang in LOCALIZATIONS[file][key]) {
            var text = LOCALIZATIONS[file][key][lang];
            $input = $("#editor .lang-" + lang + " textarea");
            if($input.length && typeof(text) == "string" && text != "") {
                $input.val(text)
            }
            else {
                //
            }
        }
    })
}

$(document).ready(function() {
    
    initializeFilesList();
    /*
    $("#files_list dd").click(function() {
        $("#files_list dd").removeClass("current");
        var file = $(this).text();
        
        if(file == "+") {
            var file = prompt("New filename");
            if(typeof(file) == "string" && file != "") {
                html = "\t<dd class='current new'>" + file + "</dd>";
                $(this).before(html);
            }
        }
        
        else {
            $(this).addClass("current");
            $("#keys_list dd").remove();
            var html = "";
            var keys = Object.keys(LOCALIZATIONS[file]).sort();
            var sorted = {};
            for(i in keys) {
                key = keys[i];
                sorted[key] = LOCALIZATIONS[file][key];
                html = html + "\t<dd>" + key + "</dd>";
            }
            html = html + "\t<dd class='add'>+</dd>";
            $("#keys_list dl").append(html);
            LOCALIZATIONS[file] = sorted;
            $("#editor .edit").hide();
            initializeKeysList();

            $("#output textarea").val(JSON.stringify(LOCALIZATIONS));
        }
    })
    */
    
})